EnumCompletionVisitor (groovy 2.4.3 API)
Date: 2015-03-23

Package: org.codehaus.groovy.classgen

## [Java] Class EnumCompletionVisitor

- org.codehaus.groovy.classgen.EnumCompletionVisitor

- Enums have a parent constructor with two arguments from java.lang.Enum. This visitor adds those two arguments into manually created constructors and performs the necessary super call.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `EnumCompletionVisitor (CompilationUnit cu, SourceUnit su)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static void` | `addMapConstructors(ClassNode enumClass, boolean hasNoArg)`
    `protected SourceUnit` | `getSourceUnit()`
    `void` | `visitClass(ClassNode node)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClassCodeVisitorSupport` | `visitMethod, visitField, visitProperty, visitConstructor, visitReturnStatement, visitDeclarationExpression, visitIfElse, visitClass, visitBreakStatement, visitContinueStatement, visitThrowStatement, visitSynchronizedStatement, visitCatchStatement, visitForLoop, visitBlockStatement, visitWhileLoop, visitDoWhileLoop, visitExpressionStatement, visitAssertStatement, visitTryCatchFinally, visitSwitch, visitCaseStatement, visitPackage, visitImports, visitAnnotations, visitClassExpression, visitPropertyExpression, visitConstantExpression, visitListExpression, visitMethodPointerExpression, visitVariableExpression, visitGStringExpression, visitArrayExpression, visitSpreadExpression, visitSpreadMapExpression, visitNotExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitCastExpression, visitArgumentlistExpression, visitClosureListExpression, visitBytecodeExpression, visitMethodCallExpression, visitStaticMethodCallExpression, visitConstructorCallExpression, visitTernaryExpression, visitFieldExpression, visitShortTernaryExpression, visitBinaryExpression, visitPrefixExpression, visitPostfixExpression, visitBooleanExpression, visitClosureExpression, visitTupleExpression, visitMapExpression, visitMapEntryExpression, visitRangeExpression, visitAttributeExpression, visitBitwiseNegationExpression, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class CodeVisitorSupport` | `visitClassExpression, visitPropertyExpression, visitConstantExpression, visitReturnStatement, visitListExpression, visitMethodPointerExpression, visitVariableExpression, visitDeclarationExpression, visitGStringExpression, visitArrayExpression, visitSpreadExpression, visitSpreadMapExpression, visitNotExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitCastExpression, visitArgumentlistExpression, visitClosureListExpression, visitBytecodeExpression, visitIfElse, visitBreakStatement, visitContinueStatement, visitThrowStatement, visitSynchronizedStatement, visitCatchStatement, visitMethodCallExpression, visitStaticMethodCallExpression, visitConstructorCallExpression, visitTernaryExpression, visitFieldExpression, visitShortTernaryExpression, visitBinaryExpression, visitPrefixExpression, visitPostfixExpression, visitBooleanExpression, visitClosureExpression, visitTupleExpression, visitMapExpression, visitMapEntryExpression, visitRangeExpression, visitAttributeExpression, visitBitwiseNegationExpression, visitForLoop, visitBlockStatement, visitWhileLoop, visitDoWhileLoop, visitExpressionStatement, visitAssertStatement, visitTryCatchFinally, visitSwitch, visitCaseStatement, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public EnumCompletionVisitor(CompilationUnit cu, SourceUnit su)

  - ### Method Detail

    - #### public static void addMapConstructors(ClassNode enumClass, boolean hasNoArg)

    - #### protected SourceUnit getSourceUnit()

    - #### public void visitClass(ClassNode node)